<!-- dist -->

<div class="docs-primary-header component-page-header">
    <mat-chip-list>
        <mat-chip>
            <mat-icon>home</mat-icon>
            <a routerLink="/dashboard">Home</a> /
           Requested Distributor List
        </mat-chip>
    </mat-chip-list>  
  </div>
  
  <!-- <button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
    <mat-icon matTooltip="Add User">add</mat-icon>
  </button> -->
   
  <div class="appereance">
    <div class="example-container mat-elevation-z2 radius margintable">
     
      <div class="filter-css">
        <span>Requested Distributor List</span>
        <div style="flex-grow:1;"></div>
        <button mat-raised-button style="cursor: pointer;" (click)="request()" color="accent">Submit</button> 
  
      </div>
  
  
  
      <div class="example-header">
        <mat-form-field>
          <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
        </mat-form-field>
      </div>
  
      <div class="new">
      <table mat-table [dataSource]="dataSource" class="example-table"
               matSort matSortActive="created" matSortDisableClear matSortDirection="asc" style="width: 100%">
          <!-- Number Column -->
          <ng-container matColumnDef="make_request_id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
            <td mat-cell *matCellDef="let row; let i=index"> {{i+1}} </td>
          </ng-container>
      
          <!-- Progress Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Name </th>
            <td mat-cell *matCellDef="let row"> {{row.name}} </td>
          </ng-container>
      
          <!-- Name Column -->
          <ng-container matColumnDef="mobile_no">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Mobile_no </th>
            <td mat-cell *matCellDef="let row"> {{row.mobile_no}} </td>
          </ng-container>
      
          <!-- Color Column -->
          <!-- <ng-container matColumnDef="password">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Password </th>
            <td mat-cell *matCellDef="let row" > {{row.password}} </td>
          </ng-container> -->
  
      <!-- Color Column -->
          <ng-container matColumnDef="email">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Email </th>
              <td mat-cell *matCellDef="let row" > {{row.email}} </td>
            </ng-container>
  
          
            <!-- Color Column -->
            <ng-container matColumnDef="address">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Address</th>
                <td mat-cell *matCellDef="let row" > {{row.address}} </td>
              </ng-container>
  
                <!-- Color Column -->
            <ng-container matColumnDef="country">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Country </th>
              <td mat-cell *matCellDef="let row" > {{row.country}} </td>
            </ng-container>
              
            <ng-container matColumnDef="unique_code">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Unique Code </th>
              <td mat-cell *matCellDef="let row" > {{row.unique_code}} </td>
            </ng-container>
       
                <!-- Color Column -->
                <!-- <ng-container matColumnDef="country">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Country </th>
                    <td mat-cell *matCellDef="let row" > {{row.country}} </td> 
                  </ng-container> -->
  
                  <!-- <ng-container matColumnDef="status">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Status</th>
                    <td mat-cell *matCellDef="let row" ><a [matTooltip]="(isHandset$ | async) ? '' : 'change status'"
                      matTooltipPosition="right"><mat-slide-toggle  (change)="onchange($event.checked,row.id)" [checked]="row.active_status==1?true:false"></mat-slide-toggle></a></td>
                    
                  </ng-container> -->
  
                  <!-- <ng-container matColumnDef="category">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Category </th>
                    <td mat-cell *matCellDef="let row" >
                      <mat-form-field style="width: 30px;">
                        <mat-select style="width: 30px;" [value]="row.category_status" (selectionChange)="run($event.value,row.id)"> 
                          <mat-option  value="A">A</mat-option>
                          <mat-option  value="B">B</mat-option>
                          <mat-option  value="C">C</mat-option>
                          <mat-option  value="D">D</mat-option>
                         
                        </mat-select>
                         
                      </mat-form-field>
                    </td>
                  </ng-container> -->
  
                  <!-- <ng-container matColumnDef="credit">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Credit Limit </th>
                    <td mat-cell *matCellDef="let row" >
                      <mat-form-field style="width: 80px;">
                        <mat-select style="width: 80px;" value="{{row.credit_limit}}" (selectionChange)="credit($event.value,row.id)"> 
                          <mat-option  value="100000">100000</mat-option>
                          <mat-option  value="200000">200000</mat-option>
                          <mat-option  value="300000">300000</mat-option>
                          <mat-option  value="400000">400000</mat-option>
                          <mat-option  value="500000">500000</mat-option>
                          <mat-option  value="600000">600000</mat-option>
                          <mat-option  value="700000">700000</mat-option> 
                          <mat-option  value="800000">800000</mat-option>
                          <mat-option  value="900000">900000</mat-option>
                          <mat-option  value="1000000">1000000</mat-option>
                        </mat-select>
                         
                      </mat-form-field>
                    </td>
                  </ng-container> -->
  
                  <!-- 
                  <ng-container matColumnDef="action">
                      <th mat-header-cell *matHeaderCellDef mat-sort-header> Select</th>
                      <td mat-cell *matCellDef="let row"><mat-checkbox (change)="sendIDS($event.checked,row.id)" color="primary"></mat-checkbox></td>
                  </ng-container> -->
  
                      <!-- Checkbox Column -->
                      <!-- <ng-container matColumnDef="action">
                      <th mat-header-cell *matHeaderCellDef>
                        <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
                        [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                            >
                        </mat-checkbox>
                      </th>
                      <td mat-cell *matCellDef="let row">  
                        <mat-checkbox  (change)="sendIDS($event.checked,row.id,posts.length)"
                                      [checked]="sel">
                        </mat-checkbox>
                      </td>
                    </ng-container> -->
  
                    <ng-container matColumnDef="action"> 
                      <th mat-header-cell *matHeaderCellDef mat-sort-header> Select </th>
                      <td mat-cell *matCellDef="let row">
                        <mat-checkbox (change)="sendIDS($event.checked,row.make_request_id)" color="primary"></mat-checkbox>
                      </td>
                    </ng-container>
  
  
                  <!-- <ng-container matColumnDef="delete">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Delete</th>
                    <td mat-cell *matCellDef="let row"><a [matTooltip]="(isHandset$ | async) ? '' : 'delete retailer'"
                      matTooltipPosition="right"><mat-icon color="warn" style="cursor: pointer;" (click)="openDialog(row.id)" >delete</mat-icon></a></td>
                  </ng-container>  -->
  
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
      <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
          <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">
  
      </mat-paginator>
    </div>
  </div>
  
  
  